
set( darksidecore_VERSION 1.00.04 )
set( darksidecore_UPS_VERSION v1_00_04 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
  find_ups_product( artdaq_core v1_04_00 )
  find_ups_product( art v1_08_10 )
  find_ups_product( cppunit v1_12_1a )
  find_ups_product( gccxml v0_9_20140718a )
  find_ups_product( clhep v2_2_0_3 )
  find_ups_product( cetpkgsupport v1_08_03 )
  find_ups_product( cetlib v1_08_00 )
  find_ups_product( cpp0x v1_03_02 )
  find_ups_boost( v1_50_0 )
  find_ups_product( fhiclcpp v3_02_00 )
  find_ups_product( sqlite v3_07_15_00 )
  find_ups_product( messagefacility v1_14_00 )
  find_ups_root( v5_34_20 )
  find_ups_product( tbb v4_1 )


## find_library directives
    if( NOT CETLIB )
      cet_find_library( CETLIB NAMES cetlib PATHS ENV CETLIB_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT FHICLCPP )
      cet_find_library( FHICLCPP NAMES fhiclcpp PATHS ENV FHICLCPP_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MF_MESSAGELOGGER )
      cet_find_library( MF_MESSAGELOGGER NAMES MF_MessageLogger PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MF_FILEFORMAT )
      cet_find_library( MF_FILEFORMAT NAMES MF_FileFormat PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_COUT_MFPLUGIN )
      cet_find_library( MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_COUT_MFPLUGIN NAMES messagefacility_MessageService_plugins_cout_mfPlugin PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_CERR_MFPLUGIN )
      cet_find_library( MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_CERR_MFPLUGIN NAMES messagefacility_MessageService_plugins_cerr_mfPlugin PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_FILE_MFPLUGIN )
      cet_find_library( MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_FILE_MFPLUGIN NAMES messagefacility_MessageService_plugins_file_mfPlugin PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_SYSLOG_MFPLUGIN )
      cet_find_library( MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_SYSLOG_MFPLUGIN NAMES messagefacility_MessageService_plugins_syslog_mfPlugin PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_COUT_MFSTATSPLUGIN )
      cet_find_library( MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_COUT_MFSTATSPLUGIN NAMES messagefacility_MessageService_plugins_cout_mfStatsPlugin PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_CERR_MFSTATSPLUGIN )
      cet_find_library( MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_CERR_MFSTATSPLUGIN NAMES messagefacility_MessageService_plugins_cerr_mfStatsPlugin PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_FILE_MFSTATSPLUGIN )
      cet_find_library( MESSAGEFACILITY_MESSAGESERVICE_PLUGINS_FILE_MFSTATSPLUGIN NAMES messagefacility_MessageService_plugins_file_mfStatsPlugin PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT MF_UTILITIES )
      cet_find_library( MF_UTILITIES NAMES MF_Utilities PATHS ENV MESSAGEFACILITY_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_VERSION )
      cet_find_library( ART_VERSION NAMES art_Version PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_UTILITIES )
      cet_find_library( ART_UTILITIES NAMES art_Utilities PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_ART )
      cet_find_library( ART_FRAMEWORK_ART NAMES art_Framework_Art PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_CORE )
      cet_find_library( ART_FRAMEWORK_CORE NAMES art_Framework_Core PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_EVENTPROCESSOR )
      cet_find_library( ART_FRAMEWORK_EVENTPROCESSOR NAMES art_Framework_EventProcessor PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO )
      cet_find_library( ART_FRAMEWORK_IO NAMES art_Framework_IO PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_CATALOG )
      cet_find_library( ART_FRAMEWORK_IO_CATALOG NAMES art_Framework_IO_Catalog PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_PRODUCTMIX )
      cet_find_library( ART_FRAMEWORK_IO_PRODUCTMIX NAMES art_Framework_IO_ProductMix PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_PRODUCTMIX_DICT )
      cet_find_library( ART_FRAMEWORK_IO_PRODUCTMIX_DICT NAMES art_Framework_IO_ProductMix_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_ROOTVERSION )
      cet_find_library( ART_FRAMEWORK_IO_ROOTVERSION NAMES art_Framework_IO_RootVersion PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_ROOT )
      cet_find_library( ART_FRAMEWORK_IO_ROOT NAMES art_Framework_IO_Root PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_ROOT_ROOTINPUT_SOURCE )
      cet_find_library( ART_FRAMEWORK_IO_ROOT_ROOTINPUT_SOURCE NAMES art_Framework_IO_Root_RootInput_source PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_ROOT_ROOTOUTPUT_MODULE )
      cet_find_library( ART_FRAMEWORK_IO_ROOT_ROOTOUTPUT_MODULE NAMES art_Framework_IO_Root_RootOutput_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_IO_SOURCES )
      cet_find_library( ART_FRAMEWORK_IO_SOURCES NAMES art_Framework_IO_Sources PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_BLOCKINGPRESCALER_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_BLOCKINGPRESCALER_MODULE NAMES art_Framework_Modules_BlockingPrescaler_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_EMPTYEVENT_SOURCE )
      cet_find_library( ART_FRAMEWORK_MODULES_EMPTYEVENT_SOURCE NAMES art_Framework_Modules_EmptyEvent_source PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_FILEDUMPEROUTPUT_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_FILEDUMPEROUTPUT_MODULE NAMES art_Framework_Modules_FileDumperOutput_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_PRESCALER_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_PRESCALER_MODULE NAMES art_Framework_Modules_Prescaler_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_PROVENANCECHECKEROUTPUT_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_PROVENANCECHECKEROUTPUT_MODULE NAMES art_Framework_Modules_ProvenanceCheckerOutput_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_RANDOMNUMBERSAVER_MODULE )
      cet_find_library( ART_FRAMEWORK_MODULES_RANDOMNUMBERSAVER_MODULE NAMES art_Framework_Modules_RandomNumberSaver_module PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_MODULES_DICT )
      cet_find_library( ART_FRAMEWORK_MODULES_DICT NAMES art_Framework_Modules_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_PRINCIPAL )
      cet_find_library( ART_FRAMEWORK_PRINCIPAL NAMES art_Framework_Principal PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_FILESERVICEINTERFACES )
      cet_find_library( ART_FRAMEWORK_SERVICES_FILESERVICEINTERFACES NAMES art_Framework_Services_FileServiceInterfaces PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL NAMES art_Framework_Services_Optional PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_RANDOMNUMBERGENERATOR_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_RANDOMNUMBERGENERATOR_SERVICE NAMES art_Framework_Services_Optional_RandomNumberGenerator_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_SIMPLEINTERACTION_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_SIMPLEINTERACTION_SERVICE NAMES art_Framework_Services_Optional_SimpleInteraction_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_SIMPLEMEMORYCHECK_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_SIMPLEMEMORYCHECK_SERVICE NAMES art_Framework_Services_Optional_SimpleMemoryCheck_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_MEMORYADJUSTER_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_MEMORYADJUSTER_SERVICE NAMES art_Framework_Services_Optional_MemoryAdjuster_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_MEMORYTRACKER_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_MEMORYTRACKER_SERVICE NAMES art_Framework_Services_Optional_MemoryTracker_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TFILESERVICE_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TFILESERVICE_SERVICE NAMES art_Framework_Services_Optional_TFileService_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TIMING_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TIMING_SERVICE NAMES art_Framework_Services_Optional_Timing_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TIMETRACKER_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TIMETRACKER_SERVICE NAMES art_Framework_Services_Optional_TimeTracker_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TRACER_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TRACER_SERVICE NAMES art_Framework_Services_Optional_Tracer_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TRIVIALFILEDELIVERY_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TRIVIALFILEDELIVERY_SERVICE NAMES art_Framework_Services_Optional_TrivialFileDelivery_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_OPTIONAL_TRIVIALFILETRANSFER_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_OPTIONAL_TRIVIALFILETRANSFER_SERVICE NAMES art_Framework_Services_Optional_TrivialFileTransfer_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_REGISTRY )
      cet_find_library( ART_FRAMEWORK_SERVICES_REGISTRY NAMES art_Framework_Services_Registry PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_CURRENTMODULE_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_CURRENTMODULE_SERVICE NAMES art_Framework_Services_System_CurrentModule_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_FILECATALOGMETADATA_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_FILECATALOGMETADATA_SERVICE NAMES art_Framework_Services_System_FileCatalogMetadata_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_FLOATINGPOINTCONTROL_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_FLOATINGPOINTCONTROL_SERVICE NAMES art_Framework_Services_System_FloatingPointControl_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_PATHSELECTION_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_PATHSELECTION_SERVICE NAMES art_Framework_Services_System_PathSelection_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_SCHEDULECONTEXT_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_SCHEDULECONTEXT_SERVICE NAMES art_Framework_Services_System_ScheduleContext_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_SYSTEM_TRIGGERNAMESSERVICE_SERVICE )
      cet_find_library( ART_FRAMEWORK_SERVICES_SYSTEM_TRIGGERNAMESSERVICE_SERVICE NAMES art_Framework_Services_System_TriggerNamesService_service PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_FRAMEWORK_SERVICES_USERINTERACTION )
      cet_find_library( ART_FRAMEWORK_SERVICES_USERINTERACTION NAMES art_Framework_Services_UserInteraction PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_CLHEPDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_CLHEPDICTIONARIES_DICT NAMES art_Persistency_CLHEPDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_COMMON )
      cet_find_library( ART_PERSISTENCY_COMMON NAMES art_Persistency_Common PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_COMMON_DICT )
      cet_find_library( ART_PERSISTENCY_COMMON_DICT NAMES art_Persistency_Common_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_PROVENANCE )
      cet_find_library( ART_PERSISTENCY_PROVENANCE NAMES art_Persistency_Provenance PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_PROVENANCE_DICT )
      cet_find_library( ART_PERSISTENCY_PROVENANCE_DICT NAMES art_Persistency_Provenance_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_ROOTDB )
      cet_find_library( ART_PERSISTENCY_ROOTDB NAMES art_Persistency_RootDB PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_STDDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_STDDICTIONARIES_DICT NAMES art_Persistency_StdDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_WRAPPEDSTDDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_WRAPPEDSTDDICTIONARIES_DICT NAMES art_Persistency_WrappedStdDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_CETLIBDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_CETLIBDICTIONARIES_DICT NAMES art_Persistency_CetlibDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_PERSISTENCY_FHICLCPPDICTIONARIES_DICT )
      cet_find_library( ART_PERSISTENCY_FHICLCPPDICTIONARIES_DICT NAMES art_Persistency_FhiclCppDictionaries_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_NTUPLE )
      cet_find_library( ART_NTUPLE NAMES art_Ntuple PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ART_NTUPLE_SQLITE_MFPLUGIN )
      cet_find_library( ART_NTUPLE_SQLITE_MFPLUGIN NAMES art_Ntuple_sqlite_mfPlugin PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT TEST_INTEGRATION )
      cet_find_library( TEST_INTEGRATION NAMES test_Integration PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT TEST_INTEGRATION_EVENT-SHAPE_DICT )
      cet_find_library( TEST_INTEGRATION_EVENT-SHAPE_DICT NAMES test_Integration_event-shape_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT TEST_INTEGRATION_HIGH-MEMORY_DICT )
      cet_find_library( TEST_INTEGRATION_HIGH-MEMORY_DICT NAMES test_Integration_high-memory_dict PATHS ENV ART_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ARTDAQ-CORE_UTILITIES )
      cet_find_library( ARTDAQ-CORE_UTILITIES NAMES artdaq-core_Utilities PATHS ENV ARTDAQ_CORE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ARTDAQ-CORE_DATA )
      cet_find_library( ARTDAQ-CORE_DATA NAMES artdaq-core_Data PATHS ENV ARTDAQ_CORE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ARTDAQ-CORE_DATA_DICT )
      cet_find_library( ARTDAQ-CORE_DATA_DICT NAMES artdaq-core_Data_dict PATHS ENV ARTDAQ_CORE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ARTDAQ-CORE_CORE )
      cet_find_library( ARTDAQ-CORE_CORE NAMES artdaq-core_Core PATHS ENV ARTDAQ_CORE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ARTDAQ-CORE_GENERATORS )
      cet_find_library( ARTDAQ-CORE_GENERATORS NAMES artdaq-core_Generators PATHS ENV ARTDAQ_CORE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ARTDAQ-CORE_BUILDINFO )
      cet_find_library( ARTDAQ-CORE_BUILDINFO NAMES artdaq-core_BuildInfo PATHS ENV ARTDAQ_CORE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ARTDAQ-CORE_ARTMODULES_ARTDAQCOREBUILDINFO_MODULE )
      cet_find_library( ARTDAQ-CORE_ARTMODULES_ARTDAQCOREBUILDINFO_MODULE NAMES artdaq-core_ArtModules_ArtdaqCoreBuildInfo_module PATHS ENV ARTDAQ_CORE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT ARTDAQ-CORE_ARTMODULES_PRINTBUILDINFO_MODULE )
      cet_find_library( ARTDAQ-CORE_ARTMODULES_PRINTBUILDINFO_MODULE NAMES artdaq-core_ArtModules_PrintBuildInfo_module PATHS ENV ARTDAQ_CORE_LIB NO_DEFAULT_PATH )
    endif()
    cet_find_library( DARKSIDECORE_BUILDINFO NAMES darksidecore_BuildInfo PATHS ENV DARKSIDECORE_LIB NO_DEFAULT_PATH )
    cet_find_library( DARKSIDECORE_DATA NAMES darksidecore_Data PATHS ENV DARKSIDECORE_LIB NO_DEFAULT_PATH )
    cet_find_library( DARKSIDECORE_DATA_DICT NAMES darksidecore_Data_dict PATHS ENV DARKSIDECORE_LIB NO_DEFAULT_PATH )
    cet_find_library( DARKSIDECORE_COMPRESSION NAMES darksidecore_Compression PATHS ENV DARKSIDECORE_LIB NO_DEFAULT_PATH )
    cet_find_library( DARKSIDECORE_ARTSERVICES NAMES darksidecore_ArtServices PATHS ENV DARKSIDECORE_LIB NO_DEFAULT_PATH )
    cet_find_library( DARKSIDECORE_ARTSERVICES_DBINTERFACE_SERVICE NAMES darksidecore_ArtServices_DBInterface_service PATHS ENV DARKSIDECORE_LIB NO_DEFAULT_PATH )
    cet_find_library( DARKSIDECORE_ARTMODULES_DS50COMPRESSION_MODULE NAMES darksidecore_ArtModules_DS50Compression_module PATHS ENV DARKSIDECORE_LIB NO_DEFAULT_PATH )
    cet_find_library( DARKSIDECORE_ARTMODULES_DS50DECOMPRESSION_MODULE NAMES darksidecore_ArtModules_DS50Decompression_module PATHS ENV DARKSIDECORE_LIB NO_DEFAULT_PATH )
    cet_find_library( DARKSIDECORE_ARTMODULES_DS50PROBCALCULATOR_MODULE NAMES darksidecore_ArtModules_DS50ProbCalculator_module PATHS ENV DARKSIDECORE_LIB NO_DEFAULT_PATH )
    cet_find_library( DARKSIDECORE_ARTMODULES_DS50EXPCOMPRESS_MODULE NAMES darksidecore_ArtModules_DS50ExpCompress_module PATHS ENV DARKSIDECORE_LIB NO_DEFAULT_PATH )
    cet_find_library( DARKSIDECORE_ARTMODULES_DS50EXPPROBS_MODULE NAMES darksidecore_ArtModules_DS50ExpProbs_module PATHS ENV DARKSIDECORE_LIB NO_DEFAULT_PATH )
    cet_find_library( DARKSIDECORE_ARTMODULES_DS50EXPDECOMP_MODULE NAMES darksidecore_ArtModules_DS50ExpDecomp_module PATHS ENV DARKSIDECORE_LIB NO_DEFAULT_PATH )
    cet_find_library( DARKSIDECORE_ARTMODULES_SHIFTER_MODULE NAMES darksidecore_ArtModules_Shifter_module PATHS ENV DARKSIDECORE_LIB NO_DEFAULT_PATH )
    cet_find_library( DARKSIDECORE_ARTMODULES_DS50DATACHARACTERIZER_MODULE NAMES darksidecore_ArtModules_DS50DataCharacterizer_module PATHS ENV DARKSIDECORE_LIB NO_DEFAULT_PATH )
    cet_find_library( DARKSIDECORE_ARTMODULES_DS50EVENTDUMP_MODULE NAMES darksidecore_ArtModules_DS50EventDump_module PATHS ENV DARKSIDECORE_LIB NO_DEFAULT_PATH )
    cet_find_library( DARKSIDECORE_ARTMODULES_DS50EVENTCHECK_MODULE NAMES darksidecore_ArtModules_DS50EventCheck_module PATHS ENV DARKSIDECORE_LIB NO_DEFAULT_PATH )
    cet_find_library( DARKSIDECORE_ARTMODULES_CHECKSIM_MODULE NAMES darksidecore_ArtModules_CheckSim_module PATHS ENV DARKSIDECORE_LIB NO_DEFAULT_PATH )

check_required_components(darksidecore)

